/* Custom page CSS
-------------------------------------------------- */

:root {
    --margins: 180px;
    --margins-mid: 70px;
    --margins-low: 10px;
    --top-labels-filter: 31px;
}
@media screen and (max-width:1700px) {
    :root {
        --margins: 70px;
    }
}
@media screen and (max-width:1400px) {
    :root {
        --margins: 10px;
    }
}
@media screen and (max-width:1280px) {
    :root {
        --margins: 0;
    }
}

body {
    min-width: 1280px;
    background: #f4f4f4;
    overflow-x: hidden;
}

table {
    width: 100%;
}

table td{
    padding: 8px;
}

table tr {
    border-bottom: solid 1px #c7c8c9;
}

table label {
    margin: 5px;
}

.loader {
    top: 40%;
    position: absolute;
    left: 48%;
    width: 5rem;
    height: 5rem;
    display: none;
}

.last-tr {
    font-weight: bold;
    border-bottom: none !important;
}

.container {
    max-width: none;
    padding: 0;
}

.header-container{
    padding-left: var(--margins);
    padding-right: var(--margins);
    max-width: none;
}

.header-email {
    margin-right: 12px;
}

.filters{
    padding: 0 var(--margins) 0 var(--margins);
    max-width: none;
}

.filter-radio {
    width: 14%;
    text-align: center;
    height: 88px;
    border-top: 6px;
}

.filter-radio-label {
    position: relative;
    top: var(--top-labels-filter);
}

.filter-txt {
    width: 10%;
    text-align: right;
    position: relative;
    top: var(--top-labels-filter);
}

.filter-date-to {
    left: 5px;
    position: relative;
}

.bg-red {
    background: red;
}

.date-ctrl {
    color: white;
    background: #2e2e2e;
}

.arrow-country {
    width: 18px;
    z-index: 100;
    position: relative;
    right: 7%;
    bottom: 37%;
    pointer-events: none;
}

.main-labels {
    font-weight: bold;
    padding: 45px var(--margins) 12px;
    padding-top: 15px;
}

.widget-container {
    padding: 0 var(--margins) 0 var(--margins);
}

.widget-small, .widget-medium {
    width: 18%;
    min-height: 100px;
    height: auto;
    background: white;
    border-radius: 6px;
    box-shadow: 10px 10px #f0f0f0;
    margin-left: 1%;
    margin-right: 1%;
    margin-bottom: 30px;
}
.widget-small {
    padding: 10px;
}
.widget-medium {
    width: 23%;
    padding: 0 !important;
    margin-bottom: 24px;
}
.widget-small-font {
    margin-bottom: 0;
    font-size: 14px;
    margin-top: 6px;
    color: #a5a2ad;
}

.VS{
    padding: 5px 5px 5px 8px;
    background: #f1f1f1;
    border-radius: 17px;
    height: 34px;
    width: 34px;
}

.w-200{
    width: 200px;
}

.txt-bold {
    font-weight: bold;
}

.txt-align-right{
    text-align: right;
}

.widget-column {
    width: 25%;
}

.widget-products {
    padding: 8px;
    font-size: 19px;
    font-weight: bold;
    text-align: center;
    border-radius: 6px 6px 0 0;
}

.tr-data-counter {
    background: #b2c7cd;
    transform: scale(1, 0);
    line-height: 0;
    visibility: collapse;
    transform-origin: top;
    animation-duration: 0.33s;
    animation-iteration-count: 1;
    animation-fill-mode: forwards;
}

.tr-single-counter {
    padding-left: 4px;
    display: inline-block;
    width: 32%;
}
.tr-kit-counter {
    display: inline-block;
    width: 32%;
    text-align: center;
}
.tr-multi-counter {
    display: inline-block;
    width: 32%;
    text-align: right;
}
.tr-right-sales {
    display: inline-block;
    width: 100%;
    text-align: right;
}

.chart{
    height: 400px;
    margin: 0 var(--margins) 120px var(--margins);
    max-width: none;
    background: white;
    border-radius: 6px;
    box-shadow: 10px 10px #f0f0f0;
}

@keyframes showRow {
    0% {
        transform: scale(1, 0);
        line-height: 0;
        visibility: collapse;
    }
    100% {
        transform: scale(1, 1);
        line-height: var(--bs-body-line-height);
        visibility: visible;
    }
}

@keyframes hideRow {
    0% {
        transform: scale(1, 1);
        line-height: var(--bs-body-line-height);
        visibility: visible;
    }
    100% {
        transform: scale(1, 0);
        line-height: 0;
        visibility: collapse;
    }
}
